/*******************************************************************************
 *	TmsPuApi.cc	Produced by Bidl
 *******************************************************************************
 */

#include <stdlib.h>
#include <stdint.h>
#include <TmsPuApi.h>
#include <Control.h>
#include <main.h>

using namespace Tms;

PuControlServer::PuControlServer(Control& control, BoapServer& server, BString name) : PuControlService(server, name), ocontrol(control){
}

BError PuControlServer::getVersion(BString& version){
	BError	err;

	version = VERSION;
	
	return err;
}

BError PuControlServer::init(){
	return ocontrol.initCmd();
}

BError PuControlServer::configure(ConfigInfo configInfo){
	return ocontrol.configure(configInfo);
}

BError PuControlServer::test(BList<BError>& errors){
	return ocontrol.test(errors);
}

BError PuControlServer::getStatus(BList<NameValue>& statusList){
	return ocontrol.getStatus(statusList);
}

BError PuControlServer::getStatistics(BList<NameValue>& statsList){
	return ocontrol.getStatistics(statsList);
}

BError PuControlServer::setTestMode(PuChannel puChannel, UInt32 testOutput, UInt32 timingDisableMask){
	return ocontrol.setTestMode(puChannel, testOutput, timingDisableMask);
}

BError PuControlServer::setTimingSignals(PuChannel puChannel, UInt32 timingSignals){
	return ocontrol.setTimingSignals(puChannel, timingSignals);
}

BError PuControlServer::captureTestData(PuChannel puChannel, TestCaptureInfo captureInfo, BArray<UInt64>& data){
	return ocontrol.captureTestData(puChannel, captureInfo, data);
}
BError PuControlServer::setTestData(PuChannel puChannel, Int32 on, BArray<UInt32> data){
	return ocontrol.setTestData(puChannel, on, data);
}
BError PuControlServer::setPupeConfig(PuChannel puPhysChannel, PupeConfig pupeConfig){
	return ocontrol.setPupeConfig(puPhysChannel, pupeConfig);
}




PuProcessServer::PuProcessServer(Control& control, BoapServer& server, BString name) : PuProcessService(server, name), ocontrol(control){
}

BError PuProcessServer::getVersion(BString& version){
	BError	err;

	version = VERSION;
	
	return err;
}

BError PuProcessServer::addEventServer(BString name){
	return ocontrol.addEventServer(name);
}

BError PuProcessServer::setControlInfo(CycleParam params){
	return ocontrol.setControlInfo(params);
}

BError PuProcessServer::setNextCycle(UInt32 cycleNumber, BString cycleType){
	return ocontrol.setNextCycle(cycleNumber, cycleType);
}

BError PuProcessServer::getStatus(PuChannel puChannel, PuStatus& puStatus){
	return ocontrol.getStatus(puChannel, puStatus);
}

BError PuProcessServer::getData(PuChannel puChannel, DataInfo dataInfo, Data& data){
	return ocontrol.getData(puChannel, dataInfo, data);
}

BError PuProcessServer::requestData(PuChannel puChannel, DataInfo dataInfo){
	return ocontrol.requestData(puChannel, dataInfo);
}

